org.apache.ode.bpel.o

## Class OInvoke

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OInvoke

- All Implemented Interfaces:
    java.io.Serializable

      public class OInvoke
      extends OActivity

  Compiled rerpresentation of the BPEL `<invoke>` activity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<OScope.CorrelationSet>` | `assertCorrelationsInput` Correlation sets asserted on input.
    `java.util.List<OScope.CorrelationSet>` | `assertCorrelationsOutput` Correlation sets asserted on output.
    `java.util.List<OScope.CorrelationSet>` | `initCorrelationsInput` Correlation sets initialized on the input message.
    `java.util.List<OScope.CorrelationSet>` | `initCorrelationsOutput` Correlation sets initialized on the output message.
    `OScope.Variable` | `inputVar`
    `java.util.List<OScope.CorrelationSet>` | `joinCorrelationsInput` Correlation sets joined on input.
    `java.util.List<OScope.CorrelationSet>` | `joinCorrelationsOutput` Correlation sets joined on output.
    `javax.wsdl.Operation` | `operation`
    `OScope.Variable` | `outputVar`
    `OPartnerLink` | `partnerLink`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OInvoke(OProcess owner, OActivity parent)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling, toString`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### partnerLink

          public OPartnerLink partnerLink

    - #### inputVar

          public OScope.Variable inputVar

    - #### outputVar

          public OScope.Variable outputVar

    - #### operation

          public javax.wsdl.Operation operation

    - #### initCorrelationsInput

          public final java.util.List<OScope.CorrelationSet> initCorrelationsInput

      Correlation sets initialized on the input message.

    - #### initCorrelationsOutput

          public final java.util.List<OScope.CorrelationSet> initCorrelationsOutput

      Correlation sets initialized on the output message.

    - #### assertCorrelationsInput

          public final java.util.List<OScope.CorrelationSet> assertCorrelationsInput

      Correlation sets asserted on input.

    - #### assertCorrelationsOutput

          public final java.util.List<OScope.CorrelationSet> assertCorrelationsOutput

      Correlation sets asserted on output.

    - #### joinCorrelationsInput

          public final java.util.List<OScope.CorrelationSet> joinCorrelationsInput

      Correlation sets joined on input.

    - #### joinCorrelationsOutput

          public final java.util.List<OScope.CorrelationSet> joinCorrelationsOutput

      Correlation sets joined on output.

  - ### Constructor Detail

    - #### OInvoke

          public OInvoke(OProcess owner,
                         OActivity parent)